
Synnefo - Bug # 465

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades UI

Created: 05/06/2011 Assignee: Dimitris Moraitis

Updated: 06/23/2011 Due date:

Subject: Το UI δεν κάνει rename μηχάνημα με IE

Description

Όταν ο χρήστης πάει να αλλάξει το όνομα ενός μηχανήματος, παίρνει λάθος

Could not contact the server.

ενώ ο server λαμβάνει κανονικά την αίτηση κι επιστρέφει κανονικά HTTP 204.

Related issues:

related to Synnefo - Feature # 341: Έλεγχος για cross-browser compatibilty Closed 03/30/2011

Associated revisions

Revision 380c0520 - 06/23/2011 03:29 pm - Dimitris Moraitis

fix rename on IE - Refs #465 #429

History

#1 - 05/13/2011 02:16 pm - Vangelis Koukis

- Target version set to v0.5

#2 - 06/14/2011 03:35 pm - Vangelis Koukis

Αυτή η σημείωση είχε καταλάθος μπει σε άλλο ticket, ταιριάζει εδώ:

Αυτό παραμένει, αλλά τώρα που το UI αναφέρει ακριβώς τον κωδικό λάθους που λαμβάνει από το HTTP (#523) είναι πολύ πιο εύκολο να καταλάβει

κανείς τι συμβαίνει.

Για κάποιο λόγο το interface τρώει HTTP 1223, που φαίνεται να είναι εσωτερικό λάθος του IΕ που επιστρέφεται όταν ένα ajax request για PUT λάβει

204 No Content.

Παρ'όλα αυτά, εδώ λέει ότι χειρίζεται η jQuery αυτό:

http://bugs.jquery.com/ticket/1450

#3 - 06/23/2011 03:48 pm - Dimitris Moraitis

- Status changed from New to Feedback

Διορθώθηκε στο commit:380c052079f76fb1206c108c3e807a29200b124d

#4 - 06/23/2011 04:33 pm - Vangelis Koukis

- Status changed from Feedback to Closed
Φαίνεται να παίζει, το κλείνω
